Bug 580936 - [RFE] Add missing advanced options for kickstarts
[RFE] Add missing advanced options for kickstarts
Status: CLOSED WONTFIX
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.9
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2010-04-09 10:24 EDT by Miroslav Suchý
Modified: 2012-01-20 07:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-20 07:08:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-04-09 10:24:07 EDT
Description of problem:
When I select manage kickstart and Advance options and I compare it to current options supported by Anaconda (anaconda-13.21.23-1.el6.x86_64) I got:

option "mouse" is no longer supported by anaconda
option "monitor" is depracated

And following options are new in anaconda and not supported by Spacewalk:
authconfig
dmraid
        --name
        --dev
fcoe
        --nic
        --dcb
group
        --name
        --gid
logvol
        --fstype
        --grow
        --maxsize
        --name
        --noformat
        --percent
        --recommended
        --size
        --useexisting
        --vgname
        --fsoptions
        --bytes-per-inode (Deprecated)
        --fsprofile
        --encrypted
        --passphrase
        --escrowcert
        --backuppassphrase
mediacheck
partition
        --active
        --asprimary
        --fstype
        --grow
        --maxsize
        --noformat
        --onbiosdisk
        --ondisk
        --onpart
        --recommended
        --size
        --fsoptions
        --label
        --bytes-per-inode (Deprecated)
        --fsprofile
        --encrypted
        --passphrase
        --start (Deprecated)
        --end (Deprecated)
        --escrowcert
        --backuppassphrase
raid
        --device
        --fstype
        --level
        --noformat
        --spares
        --useexisting
        --fsoptions
        --bytes-per-inode (Deprecated)
        --fsprofile
        --encrypted
        --passphrase
        --escrowcert
        --backuppassphrase
repo
        --name
        --baseurl
        --mirrorlist
        --cost
        --excludepkgs
        --includepkgs
        --ignoregroups
        --proxy
rescue
        --nomount
        --romount
sshpw
        --username
        --iscrypted
        --plaintext
        --lock
updates
volgroup
        --noformat
        --pesize
        --useexisting

We may want to eventually somehow add it to Spacewalk.
Comment 2 Jan Pazdziora 2010-11-19 11:02:57 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:31:30 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:36:25 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:49:06 EDT
Aligning under space16.
Comment 6 Clifford Perry 2011-08-05 08:57:59 EDT
Note we added to Advanced options area of the UI a free form field for this exact reason. We would never be able to always keep up with anaconda changes. As such users can use this area for newer capabilities we have not yet implemented.
Comment 7 Milan Zazrivec 2012-01-20 07:08:17 EST
Closing per comment #6.

Note You need to log in before you can comment on or make changes to this bug.